Skip to end of metadata
Go to start of metadata

Description

LWA customers who have installed LWA on a Windows Server 2008 R2 server can now use the following instructions to update that server to Windows Server 2016. These instructions describe the process for upgrading the operating system of the server on which LWA is running without making any changes or installing new components of the LWA application itself.

Base Environment

The following are the components and servers of an LWA install that must be in place before upgrading the operating system. There are three separate servers that are required for LWA’s base environment.  

  • Server A: Loftware Print Server (LPS) v10.x or greater
  • Server B: PostgreSQL 8.4.x or Oracle 11g RBAC Database
  • Server C: LWA v2.4.4 on Windows Server 2008 R2 which also includes:
    • Tomcat 6.0.29
    • Java 1.6.0_21
    • Axis 2.2 1.4.1
    • IE 11 should be used as the browser

Pre-upgrade Test

The following must be validated prior to updating the operating system on the LWA server (Server C, from Base Environment list) from Windows Server 2008 R2 to Windows Server 2016:

  • RBAC: Each user that is signed on the current LWA running on Windows 2008 R2, is able to see the specific printers and labels based on their RBAC settings. 
  • Labels: Label print requests are being printed as expect to the correct printers.

Upgrading the server OS from Windows Server 2008 R2 to Windows Server 2016

For the current Windows Server 2008 R2 server to be upgraded to Windows Server 2016, the operating system must first be upgraded to Windows Server 2012 R2.

Windows 2012 R2 Standard Test

The following must be validated once the LWA server is updated to Windows Server 2012 R2, prior to updating it to Windows Server 2016:

RBAC: Each user that is signed in on the current LWA running on the Windows 2012 R2 OS, is able to see the specific printers and labels based on their RBAC settings. 

Labels: Label print requests are being printed as expect to the correct printers.

Upgrade to 2016 Standard

Once the LWA server has been successfully updated with Window Server 2012 R2, it will need to be updated to Windows Server 2016.

Windows 2016 Standard Test

The following must be validated once the LWA server is updated to Windows Server 2016:

  • RBAC: Each user that is signed in on the current LWA running on the Windows 2016 OS, is able to see the specific printers and labels based on their RBAC settings. 
  • Labels: Label print requests are being printed as expect to the correct printers.

Article Number

2020001

Versions

LWA 2.0 and higher.

Environment

LWA, Tomcat, Java